# https://files.pythonhosted.org/packages/f4/f2/e4aaeab6afabe15fc527a92c9f89c58ec26d93129c85517b703e5f5b1807/ejson-0.1.6.tar.gz
%define module ejson

Name:           python-%{module}
Version:        0.1.6
Release:        %mkrel 3
Summary:        Extensible json serializer/deserializer library

Group:          Development/Python
License:        GPLv3
URL:            https://pypi.python.org/pypi/ejson
Source0:        https://pypi.python.org/packages/source/e/ejson/%{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
There are countless scenarios that we need to exchange data between
different systems, implemented in different languages and technologies.
Even in the same system, when implementing data exchange between the
backend and the frontend we face the need to convert the language data
types to another format and then do the oposite when the data arrives in
the other side of the wire.

A very simple and flexible format that seems to fit most of our needs is
the JavaScript Object Notation, or simple `json`. It is very hard to
find a programming language these days that does not support it, even
the low level ones, like C, C++, etc.

Json is enough when we need to exchange data types like integers,
doubles, strings, lists and hash tables. The problem starts when we need
to exchange a complex data type. And it's the exact aim of this
document: providing an API to extend the `json` library to make it easy
to register new serializers and new deserializers.

%package -n python3-%{module}
Summary:        Extensible json serializer/deserializer library
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{module}
Extensible json serializer/deserializer library.

%prep
%setup -qn ejson-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%defattr(-,root,root)
%doc COPYING PKG-INFO README.md
%{python_sitelib}/*

%files -n python3-%{module}
%doc COPYING PKG-INFO README.md
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.1.6-3pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.1.6-2pclos2018
- rebuild with python 3.6.5

* Fri Sep 04 2015 Ken <lxgator at gmail.com> 0.1.6-1pclos2015
- Initial pkg
